summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-04-16 22:03:02 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:10 +0200
commit6df7f7eaa78e02a0a915676285619c91b1d3f786 (patch)
tree67a134a97bf616f3be8a7665e0302b4cb5bf8a6b /multimedia
parentd154d2396a95d3a1422fb856cc10e016634b1879 (diff)
downloadslackbuilds-6df7f7eaa78e02a0a915676285619c91b1d3f786.tar.gz
slackbuilds-6df7f7eaa78e02a0a915676285619c91b1d3f786.tar.xz
multimedia/xmms-crossfade: Added (XMMS Crossfade plugin)
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/xmms-crossfade/README36
-rw-r--r--multimedia/xmms-crossfade/slack-desc19
-rw-r--r--multimedia/xmms-crossfade/xmms-crossfade.SlackBuild76
-rw-r--r--multimedia/xmms-crossfade/xmms-crossfade.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/multimedia/xmms-crossfade/README b/multimedia/xmms-crossfade/README
new file mode 100644
index 0000000000..095c33b555
--- /dev/null
+++ b/multimedia/xmms-crossfade/README
@@ -0,0 +1,36 @@
+This plugin can be used to remove the gaps between two songs, or to
+smoothly crossfade inbetween.
+
+Features:
+
+ * Crossfading
+ Crossfade between two songs, i.e. fade out the end of the current song
+ while fading in the beginning of the next for a smooth transition. Length
+ and volume of the fadings can be adjusted separately for fading in and
+ out.
+
+ * Fadein/Fadeout
+ Smoothly fadein/fadeout at the beginning or end of playback.
+
+ * Continuous output
+ Keeps the audio device opened when switching from one song to the next.
+ When used with the Gap-Killer, this allows for seamless playback of whole
+ albums without any audible interruption between the tracks.
+
+ * Gap-Killer
+ Removes the short gaps of silence at the beginning and/or end of mp3
+ files. These gaps are caused by some mp3-encoders.
+
+ * Automatic detection of live albums
+ Automatically detects live albums and pre-mixed tracks which already are
+ crossfaded. For those tracks, crossfading can be disabled automatically.
+
+ * High quality
+ XMMS-crossfade can take special care to avoid the clicks some
+ soundcards produce when suddenly being stopped. Also, it can improve
+ quality when seeking within a song.
+
+ * Secondary effect plugin:
+ XMMS-crossfade allows you to select a second effect plugin. This is
+ usefull for example when using the volume normalizing plugin together
+ with the icecast plugin.
diff --git a/multimedia/xmms-crossfade/slack-desc b/multimedia/xmms-crossfade/slack-desc
new file mode 100644
index 0000000000..de408310db
--- /dev/null
+++ b/multimedia/xmms-crossfade/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmms-crossfade: xmms-crossfade (A Crossfade/Gapless plugin for XMMS)
+xmms-crossfade:
+xmms-crossfade: This plugin can be used to remove the gaps between two songs, or to
+xmms-crossfade: smoothly crossfade inbetween.
+xmms-crossfade:
+xmms-crossfade: Homepage: http://www.eisenlohr.org/xmms-crossfade
+xmms-crossfade:
+xmms-crossfade:
+xmms-crossfade:
+xmms-crossfade:
+xmms-crossfade:
diff --git a/multimedia/xmms-crossfade/xmms-crossfade.SlackBuild b/multimedia/xmms-crossfade/xmms-crossfade.SlackBuild
new file mode 100644
index 0000000000..71cdc0f914
--- /dev/null
+++ b/multimedia/xmms-crossfade/xmms-crossfade.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for xmms-crossfade
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=xmms-crossfade
+VERSION=${VERSION:-0.3.14}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SAMPLERATE=${SAMPLERATE:-yes} # enable libsamplerate support
+FFTW=${FFTW:-no} # enable FFTW test code
+ID3=${ID3:-no} # enable libid3 support for reading track number
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION/html \
+ --enable-static=no \
+ --enable-shared=yes \
+ --build=$ARCH-slackware-linux \
+ --enable-player=xmms \
+ --enable-samplerate=$SAMPLERATE \
+ --enable-fftw=$FFTW \
+ --enable-id3=$ID3
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/xmms-crossfade/xmms-crossfade.info b/multimedia/xmms-crossfade/xmms-crossfade.info
new file mode 100644
index 0000000000..1523284c3d
--- /dev/null
+++ b/multimedia/xmms-crossfade/xmms-crossfade.info
@@ -0,0 +1,10 @@
+PRGNAM="xmms-crossfade"
+VERSION="0.3.14"
+HOMEPAGE="http://www.eisenlohr.org/xmms-crossfade"
+DOWNLOAD="http://www.eisenlohr.org/xmms-crossfade/xmms-crossfade-0.3.14.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="026c52544c7f3193d384288c9f8296aa"
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="dsomero"